import request from '@/utils/request'



// 新增出差流程
export function startOutWork(data) {
  return request({
    url: '/system/work/startOutWork',
    method: 'post',
    data: data
  })
}

// 查询出差详细
export function getWorkDetail(id) {
  return request({
    url: '/system/work/sel/' + id,
    method: 'get'
  })
}


// 查询出差列表
export function listWork(query) {
  return request({
    url: '/system/work/list',
    method: 'get',
    params: query
  })
}

// 查询出差详细
export function getWork(id) {
  return request({
    url: '/system/work/' + id,
    method: 'get'
  })
}

// 新增出差
export function addWork(data) {
  return request({
    url: '/system/work',
    method: 'post',
    data: data
  })
}

// 修改出差
export function updateWork(data) {
  return request({
    url: '/system/work',
    method: 'put',
    data: data
  })
}

// 删除出差
export function delWork(id) {
  return request({
    url: '/system/work/' + id,
    method: 'delete'
  })
}
